読者です 読者をやめる 読者になる 読者になる

ikemonn's blog

技術ネタをちょこちょこと

【Laravel】ERROR - Could not load 'guard/phpunit' or find class Guard::Phpunitが出た時の対処法

gem guardのバージョンが2.+であることが原因

インストールしているguardのバージョンを調べる

gem list guard

2.+のguardがある場合はアンインストールする

#バージョンは任意のもの
gem uninstall guard -v='2.2.5'

これでguardを立ち上げ直せばOK

参考

Can't run guard:watch with Laravel Guard (Page 1) / Laravel 4.x Help / Laravel Forums